%define upstream_name    Tapper-Reports-API
%define upstream_version 5.0.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Tapper - Remote network API for result evaluation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::C3)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DateTime::Format::SQLite)
BuildRequires: perl(Data::Serializer)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Daemonize)
BuildRequires: perl(Net::Server::Fork)
BuildRequires: perl(Tapper::Config)
BuildRequires: perl(Tapper::Model)
BuildRequires: perl(Tapper::Reports::DPath::Mason)
BuildRequires: perl(Tapper::Reports::DPath::TT)
BuildRequires: perl(Tapper::Schema::TestTools)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fixture::DBIC::Schema)
BuildRequires: perl(Test::MockModule)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(subs)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This package provides Tapper's Remote network API for result evaluation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/tapper-reports-api
/usr/bin/tapper-reports-api-daemon
/usr/share/man/man1/tapper-reports-api-daemon.1.xz
/usr/share/man/man1/tapper-reports-api.1.xz


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 5.0.5-3.mga8
+ Revision: 1506216
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 5.0.5-2.mga7
+ Revision: 1286238
- Mageia 7 Mass Rebuild

* Wed Aug 02 2017 sander85 <sander85> 5.0.5-1.mga7
+ Revision: 1134057
- update to 5.0.5

* Sun Jun 19 2016 pterjan <pterjan> 5.0.4-8.mga6
+ Revision: 1033734
- Rebuild for perl 5.22.2
+ tv <tv>
- perl(Log::Log4perl) for testsuite
- new release

* Mon Feb 08 2016 umeabot <umeabot> 4.1.2-7.mga6
+ Revision: 949299
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 4.1.2-6.mga5
+ Revision: 789633
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 4.1.2-5.mga5
+ Revision: 749732
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.1.2-3.mga4
+ Revision: 514839
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.1.2-2.mga3
+ Revision: 373067
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 shlomif <shlomif> 4.1.2-1.mga3
+ Revision: 332485
- New version 4.1.2
- New version 4.1.2

* Sun Oct 28 2012 shlomif <shlomif> 4.1.0-1.mga3
+ Revision: 311157
- Add missing BR + desc
- imported package perl-Tapper-Reports-API


* Sun Oct 28 2012 cpan2dist 4.1.0-1mga
- initial mageia release, generated with cpan2dist
